﻿@model Bunge.Salada.ViewModels.ProductViewModel
@{
    ViewBag.Title = @Model.Name + " | Produtos | Salada";
    ViewBag.Description = @Model.Description;
    ViewBag.Keywords = "";
    ViewBag.BodyClass = "produto " + @Model.FriendlyUrlName;
    if (Model.FriendlyUrlName == "maionese-salada-profissional")
        ViewBag.BodyClass = "produto maionese-pro";
}

<header class="interna">
    <div class="container">
        <div class="row">
            <div class="col-md-5 col-md-offset-1">
                <h2>@Model.Name</h2>
                <p>@Model.Description</p>
                <ol class="embalagens">
                    @if (ViewBag.BodyClass == "produto maionese-pro")
                    {
                        <li class="pacote-1kg">
                            <i class="icon icon-pet"></i>
                            Pote 3kg
                        </li>
                        <li class="pacote-1kg">
                            <i class="icon icon-pacote"></i>
                            Sachê 3kg
                        </li>
                    }
                    else
                    {
                        if (ViewBag.BodyClass == "produto maionese-salada")
                        {
                            <li>
                                <i class="icon icon-pet"></i>
                                <span>
                                    Pet 500g
                                </span>
                            </li>
                            <li>
                                <i class="icon icon-sache"></i>
                                Sachê 500g
                            </li>
                            <li class="sache-200">
                                <i class="icon icon-sache"></i>
                                Sachê 200g
                            </li>
                            <li class="pacote-1kg">
                                <i class="icon icon-pacote"></i>
                                Sachê 1kg
                            </li>
                        }
                        else
                        {
                            if (ViewBag.BodyClass == "produto maionese-salada-light")
                            {
                                <li>
                                    <i class="icon icon-pet"></i>
                                    <span>
                                        Pet 500g
                                    </span>
                                </li>
                                <li class="pet-250">
                                    <i class="icon icon-pet"></i>
                                    <span>
                                        Pet 250g
                                    </span>
                                </li>
                            }
                            else
                            {
                                <li>
                                    <i class="icon icon-garafa"></i>
                                    <span>
                                        Pet 900ml
                                    </span>
                                </li>
                            }
                        }
                    }
                    


                </ol>

                <a class="btn btn-verde" href="#tabela-nutricional" rel="modal:open">Informações nutricionais</a>

                <div id="tabela-nutricional" class="tabela-nutricional" style="display:none;">
                    <span class="titulo">Tabela Nutricional</span>

                    <table class="tabela">
                        <thead>
                            <tr>
                                <th colspan="2">@Html.Raw(Model.PortionHeaderLabel)</th>
                                <th>@Html.Raw(Model.DiaryValueHeaderLabel)</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var n in Model.NutritionalTable)
                            {
                                <tr>
                                    <td class="item">
                                        @Html.Raw(n.Item)
                                    </td>
                                    <td class="quantidade">
                                        @Html.Raw(n.Portion)
                                    </td>
                                    <td class="vd">
                                        @Html.Raw(n.DiaryValue)
                                    </td>
                                </tr>
                            }

                        </tbody>
                    </table>

                    <p>Obs: @Model.AuxiliaryObservation</p>
                    <p>Ingredientes: @Model.Ingredients</p>

                    @if (Model.FriendlyUrlName == "maionese-salada-light")
                    {

                        <div class="tabela-comparativa">
                            <span class="titulo">Tabela Comparativa</span>

                            <table class="tabela">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>Maionese salada light</th>
                                        <th>Maionese salada regular</th>
                                        <th class="reducao">Redução</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="item">
                                            Valor Energetico
                                        </td>
                                        <td class="">
                                            2,6g
                                        </td>
                                        <td class="">
                                            3,5g
                                        </td>
                                        <td class="reducao">
                                            25%
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="item">
                                            Valor Energetico
                                        </td>
                                        <td class="">
                                            2,6g
                                        </td>
                                        <td class="">
                                            3,5g
                                        </td>
                                        <td class="reducao">
                                            25%
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="item">
                                            Valor Energetico
                                        </td>
                                        <td class="">
                                            2,6g
                                        </td>
                                        <td class="">
                                            3,5g
                                        </td>
                                        <td class="reducao">
                                            25%
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>
                    }

                </div>
            </div>
            <div class="col-md-5">
                <div class="image">
                    <figure>
                        <img alt="@Model.Name" src="~/web/uploads/product/@(Model.Image)?v2" />
                    </figure>
                </div>
            </div>
        </div>
    </div>
</header>

<section class="detalhes">
    <div class="container">
        <div class="row">

            <div class="col-sm-6 col-md-3">
                <div class="validade">
                    <div class="validade-align">
                        <span class="validade-titulo">Validade</span>
                        <p>
                            @Model.ExpiresOn
                        </p>
                    </div>
                </div>
            </div>

            <div class="col-sm-6 col-md-3">
                <div class="omega">
                    @*<i class="icon icon-omega">@Model.Box1Image</i>*@
                    <img src="~/web/uploads/product/@(Model.Box1Image)?v2" />
                    <p>
                         @Html.Raw(Model.Box1Text)
                    </p>
                </div>
                @if (Model.RelatedRecipes.Count() > 0)
                {
                    if (Model.RelatedRecipes.ElementAt(0).VideoUrl != null)
                    {
                        <div class="video" style="background-image: url(/Content/source/images/temp/receita-2.jpg);">
                            <a href="#modal-video" rel="modal:open">
                                <i class="icon icon-play"></i>
                            </a>
                        </div>
                    }
                    else
                    {
                        <div class="receita small" style="background-image: url(/web/uploads/recipe/@Model.RelatedRecipes.ElementAt(1).Image);">
                            <a class="receita-inner" href="~/receita/@Model.RelatedRecipes.ElementAt(1).FriendlyUrlName">
                                <h4>@Model.RelatedRecipes.ElementAt(1).Title</h4>
                                <span class="btn btn-laranja">Experimente</span>
                            </a>
                        </div>
                    }
                }
                


                <div id="modal-video" class="modal-video" style="display:none;">
                    <iframe width="640" height="360" src="https://www.youtube.com/embed/2QypgyhGwyM?rel=0&amp;controls=0&amp;showinfo=0" frameborder="0" allowfullscreen></iframe>
                </div>

                <div class="conservacao">
                    <div class="conservacao-align">
                        <span class="conservacao-titulo">Conservação</span>
                        <p>
                            @Model.WhereToStock
                        </p>
                    </div>
                </div>
            </div>
            @if (Model.RelatedRecipes.Count() > 0)
            {
                <div class="col-sm-11 col-md-6">
                    <div class="receita" style="background-image: url(/web/uploads/recipe/@Model.RelatedRecipes.ElementAt(0).Image);">
                        <a class="receita-inner" href="~/receita/@Model.RelatedRecipes.ElementAt(0).FriendlyUrlName">
                            <h4>@Model.RelatedRecipes.ElementAt(0).Title</h4>
                            <p>@Model.RelatedRecipes.ElementAt(0).Resume</p>
                            <span class="btn btn-laranja">Experimente <span>essa receita</span></span>
                        </a>
                    </div>
                    <div class="kcal">
                        @*<i class="icon icon-kcal">@Model.Box2Image</i>*@
                        <img src="~/web/uploads/product/@(Model.Box2Image)?v2" />
                        <p>
                            @Html.Raw(Model.Box2Text)
                        </p>
                    </div>
                </div>
            }
            

        </div>
    </div>
</section>


<section class="receitas-relacionadas">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 col-md-12">
                <h3>
                    <b>Salada</b>
                    HÁ 90 ANOS PREPARANDO O SABOR DE VIVER BEM.
                </h3>
            </div>
            @if (Model.RelatedRecipes.Count() > 0)
            {
                <div class="col-sm-12 col-md-6">
                    <div class="receita" style="background-image: url(/web/uploads/recipe/@Model.RelatedRecipes.ElementAt(1).Image);">
                        <a class="receita-inner" href="~/receita/@Model.RelatedRecipes.ElementAt(1).FriendlyUrlName">
                            <h4>@Model.RelatedRecipes.ElementAt(1).Title</h4>
                            <p>@Model.RelatedRecipes.ElementAt(1).Resume</p>
                            <span class="btn btn-laranja">Experimente <span>essa receita</span></span>
                        </a>
                    </div>
                </div>
                <div class="col-sm-12 col-md-6">
                    <div class="receitas-small">
                        @for (int i = 2; i < Model.RelatedRecipes.Count(); i++)
                        {
                            <div class="receita small" style="background-image: url(/web/uploads/recipe/@Model.RelatedRecipes.ElementAt(i).Image);">
                                <a class="receita-inner" href="~/receita/@Model.RelatedRecipes.ElementAt(i).FriendlyUrlName">
                                    <h4>@Model.RelatedRecipes.ElementAt(i).Title</h4>
                                    <span class="btn btn-laranja">Experimente</span>
                                </a>
                            </div>
                        }
                    </div>
                </div>
            }




        </div>
    </div>
</section>

